#include <fstream>
#include <string>

using namespace std;

const int delta = 'A' - 1;

ifstream input("Bai3_14.inp");
ofstream output("Bai3_14.out");
string a;
int index;

int main()
{
	input >> a;
	for (int i = 0; i < a.size(); ++i)
	{
		index = a[i] - delta;
		index += 5;
		index %= 26;
		a[i] = index + delta;
	}
	output << a;
	input.close();
	output.close();
	return 0;
}